Subject: Re: Mailsplit

From: Kevin Daudt <[email-masked]>
Date: Fri, 7 Sep 2018 17:15:43 +0200

On Wed, Sep 05, 2018 at 09:17:29PM -0700, Stephen & Linda Smith wrote:
> I thought I would use "git mailsplit" to split a mbox file (which downloaded 
> from public inbox) so that I could attemp to resurrect a patch series for from 
> a year ago.  
> 
> The motivation is that I downloaded the series [1] and applied to a tag from 
> about the time period that the patch was sent out [2].  
> 
> The "git am -3 patch.mbox  quit 2/3 of the way though.   I resolved the fix. 
> and ran "git am --continue" which didn't apply the rest of the patches in the 
> mbox.
> 
> So two questions:
> 1)  why would git version 2.18.0 not appear to continue applying the patches.   
> 
> 2) where do I find the command "git mailsplit".   The onlything in my 
> installed tree is:
> 
> 	$ find  /usr/local/ -name '*mailsplit*'
> 	/usr/local/share/doc/git-doc/git-mailsplit.txt
> 	/usr/local/share/doc/git-doc/git-mailsplit.html
> 	/usr/local/share/man/man1/git-mailsplit.1
> 	/usr/local/libexec/git-core/git-mailsplit

This is the mailsplit command, and should be executed when running `git
mailsplit`. What does git --exec-dir return?

Kevin